/*****************************************************************************
 *					                                    
 *	astrash - AfterStep Trashcan, Version 0.9
 *
 ****************************************************************************/

Installation:

  ! You need the OffiX 
  	libDnd.a 		-> DNDLIB in Imakefile
  	DragAndDrop.h		-> #include <OffiX/DragAndDrop.h> in astrash.c
  	DragAndDropTypes.h	-> #include <OffiX/DragAndDropTypes.h>

  * astrash
  
  	cd astrash
  	xmkmf
  	make			-> astrash
  	
  * asrm
  
  	cd asrm
  	xmkmf
  	make			-> asrm  

Usage:

astrash is a wastebasket to delete and accidentially restore files. It is intended to be used within an Afterstep desktop environment in combination with filemanagers supporting the OffiX DnD protocol.
Files dropped on the trash will be moved to a hidden directory (~/.trash), they will remain there for a configurable amount of time or until the astrash is shut down.

The popup opened by clicking the trash icon contains a scrollable list of the items moved to the trash directory. Selecting an item copies its former path to the text field below, where the path can be modified before undeleting the item. At the bottom, there are buttons to

  * update the list of items with respect to the remaining time
  * delete all items finally
  * undelete a selected item
  * delete a selected item
  
At the top, there are toggles to configure the trash:

  * "Clear item after" keeps items in the trash directory for the given 
    amount of time (they are deleted with the first trash operation after
    this amount is exhausted).
  * "Clear list on exit" deletes all items in the trash directory if the
    program receives the SIGTERM-Signal.  
    
The following options are available for configuring the trash during startup:

  -geometry <spec>
    defines the position of the trash at the desktop
    (size is useful in combination with the shape option to center the icon).
    
  -shape
    shows only the icon with transparent background.
    
  -clearonexit
    activates the "Clear list on exit" toggle.
    
  -clearafter <num>
    activates the "Clear item after" toggle and sets the remaining time.

  -aserror
    Afterstep (Version < 1.0 ?) has an error using the DnD protocol, some drop 
    events are sent twice.
    This flag disables the "other drop" and the "icon drop" (which are
    not neccessary, because astrash shows its icon in a toplevel window).
    
There is a small command line utility called asrm, which can be used to delete files to the trash:

    asrm <file>
  
To swallow astrash into the Wharf, use

    *Wharf astrash nil Swallow "astrash" astrash -geometry 48x48+0+0 -shape &  

(Negative values for the position in the geometry specification will cause 
 astrash to crash !)
